# File rocrand_threefry2_impl.h

## Definition (`library/include/rocrand/rocrand_threefry2_impl.h`)

- Program Listing for File rocrand_threefry2_impl.h

## Includes

- `rocrand/rocrand_common.h` (File rocrand_common.h)

- `rocrand/rocrand_threefry_common.h` (File rocrand_threefry_common.h)

## Included By

- File rocrand_threefry2x32_20.h

- File rocrand_threefry2x64_20.h

## Namespaces

- Namespace rocrand_device

## Functions

- Template Function rocrand_device::threefry_rotation_array(int)

## Defines

- Define FQUALIFIERS

- Define THREEFRY2x32_DEFAULT_ROUNDS

- Define THREEFRY2x64_DEFAULT_ROUNDS

## Variables

- Variable THREEFRY_ROTATION_32_2

- Variable THREEFRY_ROTATION_64_2